2019-12-09 18:44 EST


View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0001672FSSCPiffpublic2008-04-29 23:17
ReporterMp-Ryan 
Assigned ToBackslash 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
Product Version 
Target VersionFixed in Version3.6.10 
Summary0001672: 3.6.10 20080423 rev 4608 - Incorrect information displayed when targetinfo flag is enabled
DescriptionThe information enabled by the -targetinfo flag is incorrect in this build (problem introduced after taylor's XT0314 build).

Instead of showing ship wing name, number, and class, the info displayed repeats the class. E.g.:

Correct way (3.6.10 XT0314):

"Halberd 3"
"GTF Hercules Mark II"

Incorrect way (3.6.10 20080423 rev 4608):

"GTF Hercules Mark II"
"GTF Mercules Mark II"

This build simply repeats the ship class and fails to display wing name of ship number. This also occurs with capital ships, e.g. http://www.hard-light.net/forums/index.php?action=dlattach;topic=53511.0;attach=5625;image

Note that the actual target box in the lower left corner appears unaffected by the bug. The only affected information is that displayed by the -targetinfo flag.
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0009249

Backslash (developer)

This was my fault, and I'm fairly certain I fixed it as of 4609.

~0009270

Backslash (developer)

Yeah, fixed. Silly little pointer messup of mine.
+Notes

-Issue History
Date Modified Username Field Change
2008-04-26 20:08 Mp-Ryan New Issue
2008-04-26 20:08 Mp-Ryan Status new => assigned
2008-04-26 20:08 Mp-Ryan Assigned To => Goober5000
2008-04-26 23:31 Backslash Assigned To Goober5000 => Backslash
2008-04-26 23:33 Backslash Note Added: 0009249
2008-04-29 23:17 Backslash Status assigned => resolved
2008-04-29 23:17 Backslash Fixed in Version => 3.6.10
2008-04-29 23:17 Backslash Resolution open => fixed
2008-04-29 23:17 Backslash Note Added: 0009270
+Issue History